.btn {
    border: none;
    outline: none;
    cursor: pointer;
    min-height: rem(50);
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(8) rem(36);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: rem(25);
    transition: .3s;

    span {
        top: rem(2);
        position: relative;
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(26);
        min-height: rem(64);
        border-radius: rem(32);
    }
}

.btn-white {
    fill: $blue;
    color: $blue;
    background: $white;

    &:hover {
        fill: $blue;
        color: $blue;
        background: $light;
        text-decoration: none;
        transition: .3s;
    }

    &:active {
        background: $white;
    }
}

.btn-light {
    fill: $white;
    color: $white;
    background: $light-blue;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
        transition: .3s;
    }

    &:active {
        background: $light-blue;
    }
}

.btn-blue {
    fill: $white;
    color: $white;
    background: $blue;


    &:hover {
        fill: $white;
        color: $white;
        background: $blue-hover;
        transition: .3s;
    }

    &:active {
        fill: $white;
        color: $white;
        background: $blue;
    }
}

.btn-inverse {
    fill: $white;
    color: $white;
    background: $blue;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue-hover;
        transition: .3s;
    }

    &:active {
        background: $light;
    }

    @include media-breakpoint-up(xl) {
        fill: $blue;
        color: $blue;
        background: $white;

        &:hover {
            fill: $blue;
            color: $blue;
            background: $light;
        }

        &:active {
            background: $light;
        }
    }
}

.btn-blue-inverse {
    fill: $white;
    color: $white;
    background: $blue;

    &:hover {
        fill: $white;
        color: $white;
        background: $light-blue;
    }

    &:active {
        background: $blue;
    }

    @include media-breakpoint-up(xl) {
        fill: $white;
        color: $white;
        background: $light-blue;

        &:hover {
            fill: $white;
            color: $white;
            background: $blue-hover;
            transition: .3s;
        }

        &:active {
            background: $light-blue;
        }
    }
}

.btn-sm {
    min-height: rem(40);
    border-radius: rem(20);
    padding: rem(4) rem(20);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}
